# ETableFieldChooserItem

## Name

ETableFieldChooserItem --

## Synopsis

    #define     E_TABLE_FIELD_CHOOSER_ITEM_TYPE
    typedef     ETableFieldChooserItem;

## Object Hierarchy

      GtkObject
       +----GnomeCanvasItem
             +----ETableFieldChooserItem

## Properties

      "dnd-code"             gchar*                : Read / Write
      "full-header"          GtkObject             : Write
      "width"                gdouble               : Read / Write
      "height"               gdouble               : Read

## Description

## Details

### E_TABLE_FIELD_CHOOSER_ITEM_TYPE

    #define E_TABLE_FIELD_CHOOSER_ITEM_TYPE        (e_table_field_chooser_item_get_type ())

### ETableFieldChooserItem

    typedef struct {
    	GnomeCanvasItem  parent;
    	ETableHeader    *full_header;

    	double           height, width;

    	GdkFont         *font;

    	/*
    	 * Ids
    	 */
    	int structure_change_id, dimension_change_id;

    	gchar           *dnd_code;

    	/*
    	 * For dragging columns
    	 */
    	guint            maybe_drag:1;
    	int              click_x, click_y;
    	int              drag_col;
    	guint            drag_data_get_id;
            guint            drag_end_id;
    } ETableFieldChooserItem;

## Properties

### The "`dnd-code`" property

      "dnd-code"             gchar*                : Read / Write

### The "`full-header`" property

      "full-header"          GtkObject             : Write

### The "`width`" property

      "width"                gdouble               : Read / Write

### The "`height`" property

      "height"               gdouble               : Read